#
# spec file for package urlview (Version 0.9)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           urlview
Version:        0.9
Release:        734.5
License:        GPL-2.0+
Summary:        An URL extractor/viewer
Url:            https://github.com/sigpipe/urlview
Group:          Productivity/Networking/Web/Browsers
Source:         urlview-%{version}.tar.bz2
Source1:        skel.urlview
Patch0:         urlview-%{version}.dif
Patch1:         url_handler.diff
BuildRequires:  ncurses-devel automake
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
urlview presents a menu of all URLs from a given text file (e.g., a
mail). The user may then view the information located on those URLs.

%prep
%autosetup -p0

%__rm -rf regex/

%build
aclocal
automake -a --foreign
autoconf
CC="%__cc" \
CFLAGS="-W -Wall -Wstrict-prototypes -Wpointer-arith %{optflags} -pipe -I. -D_GNU_SOURCE" \
%configure
%__make %{?_smp_flags}

%install
mkdir -p "%{buildroot}%{_sysconfdir}"
mkdir -p "%{buildroot}%{_mandir}/man1"
make DESTDIR=%{buildroot} install
%if 0%{?suse_version}
%__install -m 755 url_handler.sh.suse "%{buildroot}%{_bindir}/url_handler.sh"
%__install -m 644 urlview.conf.suse "%{buildroot}%{_sysconfdir}/urlview.conf"
%__install -D -m 644 "%{S:1}" "%{buildroot}%{_sysconfdir}/skel/.urlview"
%endif

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%if 0%{?suse_version}
%config(noreplace) %{_sysconfdir}/skel/.urlview
# maybe a user edits this...
%config %{_bindir}/url_handler.sh
%config %{_sysconfdir}/urlview.conf
%endif
%{_bindir}/urlview
%doc %{_mandir}/man1/urlview.1%{ext_man}

%changelog
* Tue Feb 20 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN
* Tue Jan 24 2023 Dr. Werner Fink <werner@suse.de>
- Update to latest URL
* Thu Feb  9 2012 puzel@suse.com
- convert license string to spdx format
* Wed Feb  8 2012 puzel@suse.com
- remove suse_update_config
* Thu Dec  1 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Wed Dec 22 2010 puzel@novell.com
- clean up specfile
* Sun Nov 14 2010 pascal.bleser@opensuse.org
- rewrote part of the spec file to make it work on non-openSUSE/SUSE distros
* Wed Dec  5 2007 ro@suse.de
- moved /etc/skel/.urlview here
* Fri Nov 23 2007 werner@suse.de
- Make url_handler.sh know about firefox
* Thu Mar 29 2007 rguenther@suse.de
- Add ncurses-devel BuildRequires.
* Fri May 26 2006 schwab@suse.de
- Don't strip binaries.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Nov  8 2005 dmueller@suse.de
- don't build as root
* Mon Dec  3 2001 poeml@suse.de
- actually use the newly added browsers if they are detected
- bzip2 sources (and save glorious 4 kb)
* Thu Nov 22 2001 pthomas@suse.de
- Add tests for opera, mozilla, w3m and links to url_handler.sh.
  w3m is preferred for textmode and mozilla as GUI browser.
* Sun Oct  7 2001 tcrhak@suse.cz
- added -a to automake (needed by automake 1.5-4)
* Thu Nov 16 2000 cihlar@suse.cz
- added suse_update config
- improved BuildRoot
- fixed file list
* Tue Jul  4 2000 werner@suse.de
- Switch to urlview 0.9 due to a better quoting of shell escapes
- Not only ` and ' but also quote $ to catch bash syntax $(..)
- Skip \b as a forbidden character
* Thu Jun 29 2000 werner@suse.de
- Be more secure: Not only ' but also ` and \b are forbidden
  characters.
* Mon Jun 19 2000 kasal@suse.de
- Added Group: tag
* Fri Jan 28 2000 kasal@suse.de
- autoconf is neededforbuild
* Tue Jan 25 2000 werner@suse.de
- Include system regex.h
* Tue Jan 25 2000 kasal@suse.de
- regexp should never match any string containing single quote char (')
  default regexp and manpage fixed
- fixed REGEXP and COMMAND, the same are hardwired, in default config
  file and in the manpage
- improved url_handler.sh.suse (news:, ftp: w/out ncftp, quoting $url,
  $MAILER)
- fixed declaration warnings
- see mutt.changes
* Tue Jan 25 2000 werner@suse.de
- Remove i386 object file and use autoconf to avoid linking against
  binary (we use -D_GNU_SOURCE for POSIX regular regexpression)
